# V3EscalationPoliciesEscalationPolicyRule

Represents a rule within an escalation policy.

## Example Usage

```typescript
import { V3EscalationPoliciesEscalationPolicyRule } from "@solarwinds/squadcast-sdk-typescript/models";

let value: V3EscalationPoliciesEscalationPolicyRule = {
  escalationTime: 292092,
  via: [
    "<value 1>",
    "<value 2>",
  ],
  roundrobinEnabled: false,
  roundrobinNextIndex: 971856,
  entities: [
    {
      type: "user",
    },
  ],
  escalateWithinRoundrobin: false,
  repetition: 581665,
  repeatAfter: 836109,
};
```

## Fields

| Field                      | Type                                                                                                              | Required             | Description                                                            |
| -------------------------- | ----------------------------------------------------------------------------------------------------------------- | -------------------- | ---------------------------------------------------------------------- |
| `escalationTime`           | *number*                                                                                                          | :heavy\_check\_mark: | The time in minutes to wait before this rule is triggered.             |
| `via`                      | *string*\[]                                                                                                       | :heavy\_check\_mark: | The notification methods to use for this rule.                         |
| `roundrobinEnabled`        | *boolean*                                                                                                         | :heavy\_check\_mark: | Indicates if round-robin is enabled for the entities in this rule.     |
| `roundrobinNextIndex`      | *number*                                                                                                          | :heavy\_check\_mark: | The index of the next entity to be notified in a round-robin setup.    |
| `entities`                 | [models.V3EscalationPoliciesEscalationEntity](/typescript/docs/models/v3escalationpoliciesescalationentity.md)\[] | :heavy\_check\_mark: | The entities to be notified in this rule.                              |
| `escalateWithinRoundrobin` | *boolean*                                                                                                         | :heavy\_check\_mark: | Indicates if escalation should happen within the round-robin rotation. |
| `repetition`               | *number*                                                                                                          | :heavy\_check\_mark: | The number of times this specific rule should be repeated.             |
| `repeatAfter`              | *number*                                                                                                          | :heavy\_check\_mark: | The time in minutes after which this rule should be repeated.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/models/v3escalationpoliciesescalationpolicyrule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
